DeleteSMSSandboxPhoneNumber
Written by
Updated at April 13, 2026
Deletes the confirmed test phone number for the SMS notification channel in the sandbox.
HTTP request
POST https://notifications.yandexcloud.net/
Query parameters
| Parameter | Description |
|---|---|
Action |
string Required field. Operation type parameter. Value: DeleteSMSSandboxPhoneNumber. |
PhoneNumber |
string Required field. Phone number in E.164 |
SMSChannelArn |
string Required field. SMS notification channel ID. Example: arn:aws:sns::b1gvlrnlei4l******:sms/channelname. |
ResponseFormat |
string Response format. The possible values are:
|
Response
Successful response
If there are no errors, Cloud Notification Service returns the 200 HTTP code.
A successful response contains additional data in XML or JSON format depending on the specified ResponseFormat parameter.
Data schema:
XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<CreateSMSSandboxPhoneNumberResponse>
<ResponseMetadata>
<RequestId>string</RequestId>
</ResponseMetadata>
</CreateSMSSandboxPhoneNumberResponse>
{
"ResponseMetadata": {
"RequestId": "string"
}
}
Where RequestId is the request ID.
Error response
In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code and its additional description in XML or JSON format depending on the specified ResponseFormat parameter.
Data schema:
XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<ErrorResponseXML>
<RequestId>string</RequestId>
<Error>
<Code>string</Code>
<Message>string</Message>
</Error>
</ErrorResponseXML>
{
"ErrorResponse": {
"RequestId": "string",
"Error": {
"Code": "string",
"SubCode": "string",
"Message": "string"
}
}
}
Where:
RequestId: Request ID.Code: Error code.Message: Error description.
For a list of common error codes for all actions, see Errors.
Errors specific for DeleteSMSSandboxPhoneNumber:
| HTTP | Error code | Extended code | Description |
|---|---|---|---|
| 400 | UserError | VerifiedTooRecently | Insufficient time has passed since the number was confirmed. |